%global _legacy_common_support 1
Name:  moleinvasion
Version: 0.4
Release: %mkrel 10
Summary: Jump'n run game with Tux
URL:  http://moleinvasion.tuxfamily.org/
Source0:  ftp://download.tuxfamily.org/minvasion/packages/MoleInvasion-%{version}.tar.bz2
Patch0:	 moleinvasions-fix-build.diff
License: GPLv2+
Group:  Games/Arcade
BuildRequires: pkgconfig(SDL_ttf)
BuildRequires: SDL_mixer
BuildRequires: GL-devel
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: gcc-c++
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(tcl)
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(sdl)

%description
This is a classic jump and run game where Tux must deal with Moles.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
make -C src

%install
%make_install install-data -C src

# man pages
mkdir -p %{buildroot}%{_mandir}/man6/
cp debian/*.6 %{buildroot}%{_mandir}/man6/

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Mole Invasion
Icon=%{_gamesdatadir}/%{name}/gfx/icon.xpm
Exec=%{_gamesbindir}/%{name}
Terminal=false
Categories=Game;ActionGame;
EOF

%files
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Fri Aug 21 2020 joequant <joequant> 0.4-10.mga8
+ Revision: 1617181
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 0.4-9.mga8
+ Revision: 1515176
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.4-8.mga7
+ Revision: 1299584
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4-7.mga6
+ Revision: 947205
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 747876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 682566
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 527517
- Mageia 4 Mass Rebuild
+ wally <wally>
- fix source url

* Sat Jun 08 2013 wally <wally> 0.4-3.mga4
+ Revision: 440601
- build using our %%optflags and %%ldflags

* Sat Jun 08 2013 wally <wally> 0.4-2.mga4
+ Revision: 440575
- use xdg menu system (aka .desktop file) instead of debian style menu
- clean .spec a bit

* Mon Jan 14 2013 tv <tv> 0.4-1.mga3
+ Revision: 388083
- imported package moleinvasion

